lyx_2.0.8.1-0ubuntu1_amd64.deb


Advertisement

Description

lyx - document processor

Property Value
Distribution Ubuntu 14.04 LTS (Trusty Tahr)
Repository Ubuntu Updates Universe amd64
Package filename lyx_2.0.8.1-0ubuntu1_amd64.deb
Package name lyx
Package version 2.0.8.1
Package release 0ubuntu1
Package architecture amd64
Package type deb
Category universe/editors
Homepage http://www.lyx.org/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 3.04 MB
Installed size 10.14 MB
LyX is an almost WYSIWYG-frontend for LaTeX. It makes the power and
typesetting quality of LaTeX available for people who are used to
word processors. Since LyX supports LaTeX's concept of general
mark-ups, it is even easier and faster to create professional quality
documents with it than with usual word processors. It is also
possible to use LaTeX commands within LyX, so nothing of LaTeX's
power is lost.
You can extend the functionality of LyX by installing these packages:
* chktex: check for typographical errors
* dvipost: display tracked changes in DVI format output
* gnuhtml2latex: import HTML documents
* groff: improved table formatting in plain text exports
* librsvg2-bin, inkscape: use the SVG image format in LyX documents
* linuxdoc-tools: export SGML LinuxDoc documents
* mythes-*: use the OpenOffice.org/LibreOffice Thesaurus
* noweb: import noweb files
* rcs: integrated version control
* sgmltools-lite: export SGML DocBook documents
* texlive-xetex, etoolbox: use the XeTeX typesetting system
* wv: import MS Word documents

Alternatives

Package Version Architecture Repository
lyx_2.0.8.1-0ubuntu1_i386.deb 2.0.8.1 i386 Ubuntu Updates Universe
lyx_2.0.6-1build1_i386.deb 2.0.6 i386 Ubuntu Universe
lyx_2.0.6-1build1_amd64.deb 2.0.6 amd64 Ubuntu Universe
lyx - - -

Requires

Name Value
libboost-regex1.54.0 -
libboost-signals1.54.0 -
libc6 >= 2.15
libenchant1c2a >= 1.6.0
libgcc1 >= 1:4.1.1
libmythes-1.2-0 -
libqtcore4 >= 4:4.7.0~beta1
libqtgui4 >= 4:4.8.0
libstdc++6 >= 4.6
lyx-common = 2.0.8.1-0ubuntu1
xdg-utils -
zlib1g >= 1:1.1.4

Download

Type URL
Mirror archive.ubuntu.com
Binary Package lyx_2.0.8.1-0ubuntu1_amd64.deb
Source Package lyx

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install lyx deb package:
    # sudo apt-get install lyx

Files

Path
/usr/bin/lyx
/usr/bin/lyxclient
/usr/bin/tex2lyx
/usr/lib/mime/packages/lyx
/usr/share/applications/lyx.desktop
/usr/share/doc/lyx
/usr/share/man/man1/lyx.1.gz
/usr/share/man/man1/lyxclient.1.gz
/usr/share/man/man1/tex2lyx.1.gz
/usr/share/menu/lyx
/usr/share/pixmaps/lyx-32x32.xpm

Changelog

2015-06-22 - Iain Lane <iain@orangesquash.org.uk>
lyx (2.0.8.1-0ubuntu1) trusty; urgency=medium
* New upstream microrelease 2.0.8.1 (LP: #1303688)
2013-10-22 - Dmitrijs Ledkovs <xnox@ubuntu.com>
lyx (2.0.6-1build1) trusty; urgency=low
* No change rebuild for Boost 1.54 transition.
2013-06-02 - Sven Hoexter <hoexter@debian.org>
lyx (2.0.6-1) unstable; urgency=low
[ Nick Andrik ]
* New upstream release
* Bumped up Standards version to 3.9.4 (no changes needed)
* Updated prefer-xdg-open patch since new upsteram includes more programs
[ Sven Hoexter ]
* Unversion build depedency on python - satisfied since squeeze.
2013-04-02 - Nick Andrik <nick.andrik@gmail.com>
lyx (2.0.5.1-1) experimental; urgency=low
[ Sven Hoexter ]
* New upstream release.
* Add Nick Andrik to Uploaders.
[ Nick Andrik ]
* patches/prefer-xdg-open:
- Updated patch since new upsteram includes more programs
* debian/rules:
- Delete empty folder no longer needed 
2012-05-30 - Per Olofsson <pelle@debian.org>
lyx (2.0.3-3) unstable; urgency=low
* Recommend texlive-generic-recommended, since ulem.sty was moved
there. Closes: #671749.
* Add debugging symbols package lyx-dbg. Closes: #438161.
2012-03-06 - Per Olofsson <pelle@debian.org>
lyx (2.0.3-2) unstable; urgency=low
* Create /usr/share/doc/fonts-lyx before moving the readme file there.
Fixes FTBFS when building binary-arch.
2012-03-04 - Per Olofsson <pelle@debian.org>
lyx (2.0.3-1) unstable; urgency=low
* New upstream release.
* Use maintscript support in dh_installdeb rather than writing out
dpkg-maintscript-helper commands by hand.  We now simply Pre-Depend on
a new enough version of dpkg rather than using
'dpkg-maintscript-helper supports' guards, leading to more predictable
behaviour on upgrades. Thanks to Colin Watson. Closes: #659721.
* Use debhelper v9 mode.
* Use xz source tarballs.
* Make /usr/share/lyx/scripts/listerrors executable.
* Rename ttf-lyx to fonts-lyx.
* Bump Standards-Version to 3.9.3. No changes.
* Make a symlink from /usr/share/bash-completion/completions/lyx to
the installed completion file and remove /etc/bash_completion.d/lyx.
2011-12-11 - Per Olofsson <pelle@debian.org>
lyx (2.0.2-1) unstable; urgency=low
* New upstream release.
* Update debian/watch to point to 2.0.x series ftp directory.
Closes: #650583.
* Remove menu from Suggests. Closes: #647373.
2011-09-10 - Sven Hoexter <hoexter@debian.org>
lyx (2.0.1-1) unstable; urgency=low
* New upstream release.
+ Remove debian/patches/path_max_hurd - included upstream.
+ Refresh debian/patches/prefer-xdg-open.
* Update Vcs-* to the new anonscm.d.o structure.
* Add texlive-xetex, etoolbox to the suggests lists and description of
the lyx binary package. (Closes: #629153)
* Change the compression used inside the binary package from bzip2 to xz.
2011-04-29 - Sven Hoexter <hoexter@debian.org>
lyx (2.0.0-1) unstable; urgency=low
* New upstream release - 2.0.0 final
+ Remove patches/fix-assertion-618687, included upstream.
* According to dev-ref 6.2.2 the short description is no sentence so
we should start in lowercase letters.

See Also

Package Description
mactelnet-client_0.4.0-1+deb8u1build0.14.04.1_amd64.deb Console tools for telneting and pinging via MAC addresses
mactelnet-server_0.4.0-1+deb8u1build0.14.04.1_amd64.deb Telnet daemon for accepting connections via MAC addresses
mapserver-bin_6.4.1-2ubuntu0.1_amd64.deb MapServer utilities
mapserver-doc_6.4.1-2ubuntu0.1_all.deb documentation for MapServer
marble-data_4.13.3-0ubuntu0.1_all.deb data files for Marble
marble-plugins_4.13.3-0ubuntu0.1_amd64.deb plugins for Marble
marble-qt_4.13.3-0ubuntu0.1_amd64.deb globe and map widget (no KDE dependencies)
marble-touch_4.13.3-0ubuntu0.1_amd64.deb globe and map widget for tablets
marble_4.13.3-0ubuntu0.1_amd64.deb globe and map widget
mariadb-client-5.5_5.5.64-1ubuntu0.14.04.1_amd64.deb MariaDB database client binaries
mariadb-client-core-5.5_5.5.64-1ubuntu0.14.04.1_amd64.deb MariaDB database core client binaries
mariadb-client_5.5.64-1ubuntu0.14.04.1_all.deb MariaDB database client (metapackage depending on the latest version)
mariadb-common_5.5.64-1ubuntu0.14.04.1_all.deb MariaDB common metapackage
mariadb-server-5.5_5.5.64-1ubuntu0.14.04.1_amd64.deb MariaDB database server binaries
mariadb-server-core-5.5_5.5.64-1ubuntu0.14.04.1_amd64.deb MariaDB database core server files
Advertisement
Advertisement